summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author slakmagik <jsun@freeshell.org>2010-05-11 20:01:58 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:58 +0200
commit0d9406ab4253ef5fc456789fa5973f86de0793df (patch)
tree084b3f6be9c9ddd290a124ea08333a8518a7acee
parentafd43d4f79054b4f2be691f970bb7e3ae59713c5 (diff)
downloadslackbuilds-0d9406ab4253ef5fc456789fa5973f86de0793df.tar.gz
slackbuilds-0d9406ab4253ef5fc456789fa5973f86de0793df.tar.xz
system/dtach: Added to 12.0 repository
-rw-r--r--system/dtach/README13
-rw-r--r--system/dtach/dtach.SlackBuild53
-rw-r--r--system/dtach/dtach.info8
-rw-r--r--system/dtach/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/system/dtach/README b/system/dtach/README
new file mode 100644
index 0000000000..9e06a1e4b1
--- /dev/null
+++ b/system/dtach/README
@@ -0,0 +1,13 @@
+dtach is a tiny program that emulates the detach feature of screen,
+allowing you to run a program in an environment that is protected
+from the controlling terminal and attach to it later. dtach does not
+keep track of the contents of the screen, and thus works best with
+programs that know how to redraw themselves. It is designed to be
+transparent and un-intrusive; it avoids interpreting the input and
+output between attached terminals and the program under its control.
+
+dtach does not, however, have the other features of screen, such as its
+support of multiple terminals or its terminal emulation support. This
+makes dtach extremely tiny compared to screen, making it more easily
+audited for bugs and security holes, and also allows it to fit in
+environments where space is limited, such as on rescue disks.
diff --git a/system/dtach/dtach.SlackBuild b/system/dtach/dtach.SlackBuild
new file mode 100644
index 0000000000..7c1c6ca2df
--- /dev/null
+++ b/system/dtach/dtach.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for dtach
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=dtach
+VERSION=0.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" ./configure --prefix=/usr
+make
+
+# no 'install' target, so...
+mkdir -p $PKG/usr/{bin,doc/$PRGNAM-$VERSION,man/man1}
+cp dtach $PKG/usr/bin
+gzip -9 dtach.1 && cp dtach.1.gz $PKG/usr/man/man1
+cp [CR]* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/dtach/dtach.info b/system/dtach/dtach.info
new file mode 100644
index 0000000000..860c1ddf1e
--- /dev/null
+++ b/system/dtach/dtach.info
@@ -0,0 +1,8 @@
+PRGNAM="dtach"
+VERSION="0.8"
+HOMEPAGE="http://dtach.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/dtach/dtach-0.8.tar.gz"
+MD5SUM="ec5999f3b6bb67da19754fcb2e5221f3"
+MAINTAINER="slakmagik"
+EMAIL="jsun@freeshell.org"
+APPROVED="rworkman"
diff --git a/system/dtach/slack-desc b/system/dtach/slack-desc
new file mode 100644
index 0000000000..d3e82c0732
--- /dev/null
+++ b/system/dtach/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+dtach: dtach (detaches/reattaches programs from/to their terminals)
+dtach:
+dtach: dtach is a tiny program that emulates the detach feature of screen,
+dtach: allowing you to run a program in an environment that is protected
+dtach: from the controlling terminal and attach to it later. dtach does not
+dtach: keep track of the contents of the screen, and thus works best with
+dtach: programs that know how to redraw themselves. It is designed to be
+dtach: transparent and un-intrusive; it avoids interpreting the input and
+dtach: output between attached terminals and the program under its control.
+dtach:
+dtach: